package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.ym.mec.biz.dal.enums.JobTypeEnum;
import com.ym.mec.biz.dal.enums.StaffStatusEnum;
import com.ym.mec.common.page.QueryInfo;

public class EmployeeInfoQueryInfo extends QueryInfo {

	@ApiModelProperty(value = "姓名/编号/手机号", required = false)
	private String userNameOrIdOrMobile;
	
	@ApiModelProperty(value = "信息来源", required = false)
	private String sourceFrom;

	@ApiModelProperty(value = "分部", required = false)
	private Integer organId;

	@ApiModelProperty(value = "声部", required = false)
	private Integer subjectId;

	@ApiModelProperty(value = "职位", required = false)
	private JobTypeEnum position;

	@ApiModelProperty(value = "意向城市", required = false)
	private String intentionCity;

	@ApiModelProperty(value = "状态", required = false)
	private StaffStatusEnum status;
	
	private String operator;
	
	private Date startDate;
	
	private Date endDate;

	public String getUserNameOrIdOrMobile() {
		return userNameOrIdOrMobile;
	}

	public void setUserNameOrIdOrMobile(String userNameOrIdOrMobile) {
		this.userNameOrIdOrMobile = userNameOrIdOrMobile;
	}

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public Integer getSubjectId() {
		return subjectId;
	}

	public void setSubjectId(Integer subjectId) {
		this.subjectId = subjectId;
	}

	public JobTypeEnum getPosition() {
		return position;
	}

	public void setPosition(JobTypeEnum position) {
		this.position = position;
	}

	public StaffStatusEnum getStatus() {
		return status;
	}

	public void setStatus(StaffStatusEnum status) {
		this.status = status;
	}

	public String getSourceFrom() {
		return sourceFrom;
	}

	public void setSourceFrom(String sourceFrom) {
		this.sourceFrom = sourceFrom;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public String getOperator() {
		return operator;
	}

	public void setOperator(String operator) {
		this.operator = operator;
	}

	public String getIntentionCity() {
		return intentionCity;
	}

	public void setIntentionCity(String intentionCity) {
		this.intentionCity = intentionCity;
	}
}
